Bug 968982 - tasks list output displays too many details
tasks list output displays too many details
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: async/tasks (Show other bugs)
Master
Unspecified Unspecified
low Severity low
: ---
: 2.5.0
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 08:10 EDT by Preethi Thomas
Modified: 2014-11-24 16:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-24 16:33:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-05-30 08:10:31 EDT
Description of problem:

If you run a repo sync and then run tasks list the output prints a lot of information and if you run --details on that task the same information is displayed again. I think it would be better to display basic info with tasks list and use --details on the task-id for detailed output

Version-Release number of selected component (if applicable):
[root@cloud-qe-7 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.14.alpha.fc18.noarch
[root@cloud-qe-7 ~]# 


How reproducible:


Steps to Reproduce:
1. Run repo sync on a repo
2. Run tasks list 
3.

Actual results:

[root@cloud-qe-7 ~]# pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  sync
Resources:   zoo (repository)
State:       Successful
Start Time:  2013-05-30T12:04:20Z
Finish Time: 2013-05-30T12:04:25Z
Result:      
  Added Count:      0
  Completed:        2013-05-30T08:04:25-04:00
  Details:          
    Comps:        
      State: FINISHED
    Content:      
      Details:       
        Drpm Done:  0
        Drpm Total: 0
        Rpm Done:   0
        Rpm Total:  0
      Error Details: 
      Items Left:    0
      Items Total:   0
      Size Left:     0
      Size Total:    0
      State:         FINISHED
    Distribution: 
      Error Details: 
      Items Left:    0
      Items Total:   0
      State:         FINISHED
    Errata:       
      State: FINISHED
    Metadata:     
      State: FINISHED
  Error Message:    None
  Exception:        None
  Id:               51a740499ad69508129c8980
  Importer Id:      yum_importer
  Importer Type Id: yum_importer
  Removed Count:    0
  Repo Id:          zoo
  Result:           success
  Started:          2013-05-30T08:04:20-04:00
  Summary:          
  Traceback:        None
  Updated Count:    0
Task Id:     4f6220b9-2cd8-498a-8a16-2ca16fa684c3

Operations:  auto_publish, publish
Resources:   zoo (repository)
State:       Successful
Start Time:  2013-05-30T12:04:25Z
Finish Time: 2013-05-30T12:04:27Z
Result:      N/A
Task Id:     d05b8a21-bb1e-40d6-954e-ab4b2ddb07db

Expected results:


Additional info:
Comment 1 Michael Hrivnak 2014-09-03 17:28:47 EDT
This was fixed some time ago, but I'm putting it on 2.5.0 just so it gets verified eventually.
Comment 2 Chris Duryee 2014-09-30 09:52:48 EDT
build: 2.5.0-0.6.beta
Comment 3 Preethi Thomas 2014-10-02 13:07:31 EDT
verified

[root@cloud-qe-15 ~]# rpm -qa pulp-server
pulp-server-2.5.0-0.6.beta.el7.noarch
[root@cloud-qe-15 ~]# 


[root@cloud-qe-15 ~]# pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+


Operations:  sync
Resources:   fedora (repository)
State:       Successful
Start Time:  2014-10-02T17:00:16Z
Finish Time: 2014-10-02T17:00:17Z
Task Id:     1e3db43b-347f-46e0-aeda-12f7f9da3605

Operations:  publish
Resources:   fedora (repository)
State:       Successful
Start Time:  2014-10-02T17:00:17Z
Finish Time: 2014-10-02T17:01:40Z
Task Id:     9151c679-2550-4a5c-8516-e74614e5661b

Note You need to log in before you can comment on or make changes to this bug.